# Uses of Class
org.eclipse.mat.snapshot.query.TQuantize.Builder

Packages that use TQuantize.Builder
Package
Description
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.

## Uses of TQuantize.Builder in org.eclipse.mat.snapshot.query

Methods in org.eclipse.mat.snapshot.query that return TQuantize.Builder
Modifier and Type
Method
Description
`TQuantize.Builder`
TQuantize.Builder.`column(String label, Column baseColumn, int baseColumnIndex, Quantize.Function.Factory qff)`
Add a column with label and function.
`static TQuantize.Builder`
TQuantize.`valueDistribution(ISnapshot snapshot, IResultTable base, int... columns)`
Creates a `TQuantize` object which aggregates the table by the value of the columns.
`static TQuantize.Builder`
TQuantize.`valueDistribution(ISnapshot snapshot, IResultTable base, TQuantize.Target target)`
Creates a `TQuantize` object which aggregates the table by one of the well-known targets, e.g.